import anvil.annot.*;

/**
 * Sample extra object to store a plug-ins system data in a track
 * element. Make sure that this class is accessible for Anvil
 * (public). */

public class MyData implements AnvilExtraObject {
  String data;
  
  /**
   * There must be a constructor with empty argument list. Otherwise
   * Anvil will not be able to create instances when reading data back
   * from files. */

  public MyData() {
    data = "";
  }

  public MyData(String d) {
    data = d;
  }
  
  public String toOutput() {
    return data;
  }
  
  public boolean parseString(String in) {
    data = in;
    return true;
  }
}


